[Swift-commit] r3743 - trunk/tests/cdm
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Mon Dec 6 16:02:58 CST 2010
Author: wozniak
Date: 2010-12-06 16:02:58 -0600 (Mon, 06 Dec 2010)
New Revision: 3743
Added:
trunk/tests/cdm/602-local.check.sh
trunk/tests/cdm/602-local.clean.sh
trunk/tests/cdm/602-local.setup.sh
trunk/tests/cdm/602-local.swift
Modified:
trunk/tests/cdm/fs.template.data
Log:
New CDM LOCAL test with dd
Added: trunk/tests/cdm/602-local.check.sh
===================================================================
--- trunk/tests/cdm/602-local.check.sh (rev 0)
+++ trunk/tests/cdm/602-local.check.sh 2010-12-06 22:02:58 UTC (rev 3743)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -x
+
+grep $( uname -m ) 602/602-input.txt || exit 1
+grep $( uname -m ) 602-output.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/cdm/602-local.check.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/cdm/602-local.clean.sh
===================================================================
--- trunk/tests/cdm/602-local.clean.sh (rev 0)
+++ trunk/tests/cdm/602-local.clean.sh 2010-12-06 22:02:58 UTC (rev 3743)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -rv 602-output.txt 602
+
+exit 0
Property changes on: trunk/tests/cdm/602-local.clean.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/cdm/602-local.setup.sh
===================================================================
--- trunk/tests/cdm/602-local.setup.sh (rev 0)
+++ trunk/tests/cdm/602-local.setup.sh 2010-12-06 22:02:58 UTC (rev 3743)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -x
+
+mkdir -pv 602 || exit 1
+
+{
+ uname -a
+ date
+} > 602/602-input.txt
+
+exit 0
Property changes on: trunk/tests/cdm/602-local.setup.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/cdm/602-local.swift
===================================================================
--- trunk/tests/cdm/602-local.swift (rev 0)
+++ trunk/tests/cdm/602-local.swift 2010-12-06 22:02:58 UTC (rev 3743)
@@ -0,0 +1,14 @@
+
+type file;
+
+app (file o) copy (file i)
+{
+ cp @i @o;
+}
+
+// Will be transformed by CDM to 602/602-input.txt:
+file f1<"602-input.txt">;
+
+file f2<"602-output.txt">;
+
+f2 = copy(f1);
Modified: trunk/tests/cdm/fs.template.data
===================================================================
--- trunk/tests/cdm/fs.template.data 2010-12-06 21:53:10 UTC (rev 3742)
+++ trunk/tests/cdm/fs.template.data 2010-12-06 22:02:58 UTC (rev 3743)
@@ -8,3 +8,4 @@
rule .*301-input.txt BROADCAST _PWD_/301
rule .*501-output.*.txt GATHER
rule .*601-input.*.txt LOCAL cp _PWD_/601
+rule .*602-input.*.txt LOCAL dd _PWD_/602
More information about the Swift-commit
mailing list